MODLE "@.bas"
SEGMENT "Инициализация" END
SEGMENT "Выполнение"
LET "СТАТУС" = "НОРМА"
BLOCK "Раздел 1"
STATUS 1, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 1"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 1" = "Мигание красн"
END
ELSE
BEGIN
STATUS 1, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 1" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 1" = "Красн"
END
END
END
END
END
BLOCK "Раздел 2"
STATUS 2, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 2"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 2" = "Мигание красн"
END
ELSE
BEGIN
STATUS 2, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 2" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 2" = "Красн"
END
END
END
END
END
BLOCK "Раздел 3"
STATUS 3, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 3"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 3" = "Мигание красн"
END
ELSE
BEGIN
STATUS 3, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 3" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 3" = "Красн"
END
END
END
END
END
BLOCK "Раздел 4"
STATUS 4, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 4"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 4" = "Мигание красн"
END
ELSE
BEGIN
STATUS 4, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 4" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 4" = "Красн"
END
END
END
END
END
BLOCK "Раздел 5"
STATUS 5, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 5"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 5" = "Мигание красн"
END
ELSE
BEGIN
STATUS 5, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 5" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 5" = "Красн"
END
END
END
END
END
BLOCK "Раздел 6"
STATUS 6, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 6"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 6" = "Мигание красн"
END
ELSE
BEGIN
STATUS 6, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 6" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 6" = "Красн"
END
END
END
END
END
BLOCK "Раздел 7"
STATUS 7, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 7"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 7" = "Мигание красн"
END
ELSE
BEGIN
STATUS 7, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 7" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 7" = "Красн"
END
END
END
END
END
BLOCK "Раздел 8"
STATUS 8, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 8"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 8" = "Мигание красн"
END
ELSE
BEGIN
STATUS 8, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 8" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 8" = "Красн"
END
END
END
END
END
BLOCK "Раздел 9"
STATUS 9, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 9"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 9" = "Мигание красн"
END
ELSE
BEGIN
STATUS 9, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 9" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 9" = "Красн"
END
END
END
END
END
BLOCK "Раздел 10"
STATUS 10, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 10"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 10" = "Мигание красн"
END
ELSE
BEGIN
STATUS 10, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 10" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 10" = "Красн"
END
END
END
END
END
BLOCK "Раздел 11"
STATUS 11, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 11"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 11" = "Мигание красн"
END
ELSE
BEGIN
STATUS 11, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 11" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 11" = "Красн"
END
END
END
END
END
BLOCK "Раздел 12"
STATUS 12, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 12"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 12" = "Мигание красн"
END
ELSE
BEGIN
STATUS 12, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 12" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 12" = "Красн"
END
END
END
END
END
BLOCK "Раздел 13"
STATUS 13, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 13"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 13" = "Мигание красн"
END
ELSE
BEGIN
STATUS 13, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 13" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 13" = "Красн"
END
END
END
END
END
BLOCK "Раздел 14"
STATUS 14, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 14"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 14" = "Мигание красн"
END
ELSE
BEGIN
STATUS 14, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 14" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 14" = "Красн"
END
END
END
END
END
BLOCK "Раздел 15"
STATUS 15, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 15"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 15" = "Мигание красн"
END
ELSE
BEGIN
STATUS 15, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 15" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 15" = "Красн"
END
END
END
END
END
BLOCK "Раздел 16"
STATUS 16, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 16"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 16" = "Мигание красн"
END
ELSE
BEGIN
STATUS 16, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 16" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 16" = "Красн"
END
END
END
END
END
BLOCK "Раздел 17"
STATUS 17, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 17"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 17" = "Мигание красн"
END
ELSE
BEGIN
STATUS 17, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 17" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 17" = "Красн"
END
END
END
END
END
BLOCK "Раздел 18"
STATUS 18, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 18"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 18" = "Мигание красн"
END
ELSE
BEGIN
STATUS 18, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 18" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 18" = "Красн"
END
END
END
END
END
BLOCK "Раздел 19"
STATUS 19, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 19"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 19" = "Мигание красн"
END
ELSE
BEGIN
STATUS 19, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 19" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 19" = "Красн"
END
END
END
END
END
BLOCK "Раздел 20"
STATUS 20, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 20"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 20" = "Мигание красн"
END
ELSE
BEGIN
STATUS 20, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 20" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 20" = "Красн"
END
END
END
END
END
BLOCK "Раздел 21"
STATUS 21, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 21"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 21" = "Мигание красн"
END
ELSE
BEGIN
STATUS 21, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 21" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 21" = "Красн"
END
END
END
END
END
BLOCK "Раздел 22"
STATUS 22, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 22"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 22" = "Мигание красн"
END
ELSE
BEGIN
STATUS 22, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 22" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 22" = "Красн"
END
END
END
END
END
BLOCK "Раздел 23"
STATUS 23, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 23"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 23" = "Мигание красн"
END
ELSE
BEGIN
STATUS 23, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 23" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 23" = "Красн"
END
END
END
END
END
BLOCK "Раздел 24"
STATUS 24, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 24"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 24" = "Мигание красн"
END
ELSE
BEGIN
STATUS 24, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 24" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 24" = "Красн"
END
END
END
END
END
BLOCK "Раздел 25"
STATUS 25, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 25"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 25" = "Мигание красн"
END
ELSE
BEGIN
STATUS 25, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 25" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 25" = "Красн"
END
END
END
END
END
BLOCK "Раздел 26"
STATUS 26, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 26"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 26" = "Мигание красн"
END
ELSE
BEGIN
STATUS 26, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 26" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 26" = "Красн"
END
END
END
END
END
BLOCK "Раздел 27"
STATUS 27, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 27"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 27" = "Мигание красн"
END
ELSE
BEGIN
STATUS 27, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 27" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 27" = "Красн"
END
END
END
END
END
BLOCK "Раздел 28"
STATUS 28, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 28"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 28" = "Мигание красн"
END
ELSE
BEGIN
STATUS 28, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 28" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 28" = "Красн"
END
END
END
END
END
BLOCK "Раздел 29"
STATUS 29, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 29"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 29" = "Мигание красн"
END
ELSE
BEGIN
STATUS 29, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 29" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 29" = "Красн"
END
END
END
END
END
BLOCK "Раздел 30"
STATUS 30, "ПОЖАР","ACC"
IF ("ACC">0) THEN BEGIN
PRINT 2, "ПОЖАР:Раздел 30"
LET "СТАТУС" = "ПОЖАР"
LET "2.Индикатор 30" = "Мигание красн"
END
ELSE
BEGIN
STATUS 30, "НОРМА","ACC"
IF ("ACC"=0) THEN BEGIN
LET "2.Индикатор 30" = "Зелен"
END
ELSE
BEGIN
LET "2.Индикатор 30" = "Красн"
END
END
END
END
END
BLOCK "Сигнализация включение"IF ("СТАТУС"="ПОЖАР" & "2.Кнопка"<>"Нажата") THEN BEGIN
END
ELSE
BEGIN
END
END
END
BLOCK "Сигнализация отключение"IF ("2.Кнопка"="НАЖАТА") THEN BEGIN
EXECUTE 1, "ВЫКЛ"
EXECUTE 2, "ВЫКЛ"
EXECUTE 3, "ВЫКЛ"
EXECUTE 4, "ВЫКЛ"
EXECUTE 5, "ВЫКЛ"
EXECUTE 6, "ВЫКЛ"
EXECUTE 7, "ВЫКЛ"
EXECUTE 8, "ВЫКЛ"
EXECUTE 9, "ВЫКЛ"
EXECUTE 10, "ВЫКЛ"
EXECUTE 11, "ВЫКЛ"
EXECUTE 12, "ВЫКЛ"
EXECUTE 13, "ВЫКЛ"
EXECUTE 14, "ВЫКЛ"
EXECUTE 15, "ВЫКЛ"
EXECUTE 16, "ВЫКЛ"
EXECUTE 17, "ВЫКЛ"
EXECUTE 18, "ВЫКЛ"
EXECUTE 19, "ВЫКЛ"
EXECUTE 20, "ВЫКЛ"
EXECUTE 21, "ВЫКЛ"
EXECUTE 22, "ВЫКЛ"
EXECUTE 23, "ВЫКЛ"
EXECUTE 24, "ВЫКЛ"
EXECUTE 25, "ВЫКЛ"
EXECUTE 26, "ВЫКЛ"
EXECUTE 27, "ВЫКЛ"
EXECUTE 28, "ВЫКЛ"
EXECUTE 29, "ВЫКЛ"
EXECUTE 30, "ВЫКЛ"
SLEEP 10
EXECUTE 1, "ВКЛ"
EXECUTE 2, "ВКЛ"
EXECUTE 3, "ВКЛ"
EXECUTE 4, "ВКЛ"
EXECUTE 5, "ВКЛ"
EXECUTE 6, "ВКЛ"
EXECUTE 7, "ВКЛ"
EXECUTE 8, "ВКЛ"
EXECUTE 9, "ВКЛ"
EXECUTE 10, "ВКЛ"
EXECUTE 11, "ВКЛ"
EXECUTE 12, "ВКЛ"
EXECUTE 13, "ВКЛ"
EXECUTE 14, "ВКЛ"
EXECUTE 15, "ВКЛ"
EXECUTE 16, "ВКЛ"
EXECUTE 17, "ВКЛ"
EXECUTE 18, "ВКЛ"
EXECUTE 19, "ВКЛ"
EXECUTE 20, "ВКЛ"
EXECUTE 21, "ВКЛ"
EXECUTE 22, "ВКЛ"
EXECUTE 23, "ВКЛ"
EXECUTE 24, "ВКЛ"
EXECUTE 25, "ВКЛ"
EXECUTE 26, "ВКЛ"
EXECUTE 27, "ВКЛ"
EXECUTE 28, "ВКЛ"
EXECUTE 29, "ВКЛ"
EXECUTE 30, "ВКЛ"
END
ELSE
BEGIN
END
END
END
END
END
